local scene = assert( require 'client.scene' )
local lg = assert( love.graphics )
local server = assert( require 'client.udp' )
local connecting = {}

local time, ip, port

function connecting.draw()
  lg.setColor( 1,1,1,1 )
  lg.print( ("CONNECTING:\nTIME: %1.1fs\nADDRESS: %s:%d"):format(time, ip, port), 0, 0, 0 )
  return false
end

function connecting.keypressed(key, code, isrepeat)
  if code == "escape" then return scene.browser() end
end

function connecting.update(dt)
  time = time + dt
  
  if time > 5 then 
    return scene.loadScene( scene.game )
  end
  return false
end

function connecting:onLoad( params )
  lg.setCanvas()
  time = 0
  params = params or { ip = "8.8.8.8", port = 8 }
  ip, port = params.ip, params.port
  return server.connect( ip, port )
end

scene.connecting = connecting
return connecting